Name:           python-api-client-lnx-edge
Version:        0.3.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Client for the LNX Edge API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Lnmix/edge_api_client
Source:         %{pypi_source api-client-lnx-edge}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'api-client-lnx-edge' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-api-client-lnx-edge
Summary:        %{summary}

%description -n python3-api-client-lnx-edge %_description


%prep
%autosetup -p1 -n api-client-lnx-edge-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-api-client-lnx-edge -f %{pyproject_files}


%changelog
%autochangelog